## vitrage-tempest-plugin 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# The order of packages isrequirementst, because pip processes them in the order

pbr!=2.1.0,>=2.0.0 # Apache-2.0
aodhclient>=1.0.0 # Apache-2.0
gnocchiclient>=3.3.1 # Apache-2.0
PyYAML>=3.12 # MIT
python-heatclient>=1.14.0 # Apache-2.0
python-ceilometerclient>=2.9.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-dateutil>=2.5.3 # BSD
python-keystoneclient>=3.15.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=10.1.0 # Apache-2.0
python-mistralclient>=3.3.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-vitrageclient>=2.0.0 # Apache-2.0
six>=1.10.0 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
testtools>=2.2.0 # MIT
oslotest>=3.2.0 # Apache-2.0
tempest>=17.1.0 # Apache-2.0
networkx>=2.3  # BSD

=== debian/changelog ===
vitrage-tempest-plugin (4.0.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #961518).

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 May 2020 17:14:03 +0200

=== debian/control ===
Source: vitrage-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/vitrage-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/vitrage-tempest-plugin.git
Homepage: https://opendev.org/openstack/vitrage-tempest-plugin

Package: vitrage-tempest-plugin
Architecture: all
Depends:
 python3-aodhclient,
 python3-ceilometerclient,
 python3-cinderclient,
 python3-dateutil,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-heatclient,
 python3-keystoneclient,
 python3-mistralclient,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pbr,
 python3-six,
 python3-testtools,
 python3-vitrageclient,
 python3-yaml,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Vitrage plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Vitrage plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/vitrage-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## vitrage-tempest-plugin 5.1.0

=== requirements.txt ===
--- 
+++ 
@@ -17,7 +17,6 @@
 python-mistralclient>=3.3.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 python-vitrageclient>=2.0.0 # Apache-2.0
-six>=1.10.0 # MIT
 oslo.config>=5.2.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0

=== debian/changelog ===
vitrage-tempest-plugin (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:12:22 +0200

vitrage-tempest-plugin (5.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 15:01:39 +0200

vitrage-tempest-plugin (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 22:11:18 +0200

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,6 @@
  python3-oslo.utils,
  python3-oslotest,
  python3-pbr,
- python3-six,
  python3-testtools,
  python3-vitrageclient,
  python3-yaml,

## vitrage-tempest-plugin 5.3.0

=== debian/changelog ===
vitrage-tempest-plugin (5.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 17:02:05 +0200

vitrage-tempest-plugin (5.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Mar 2021 13:42:27 +0200

vitrage-tempest-plugin (5.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:26:54 +0100

## vitrage-tempest-plugin 5.4.0

=== debian/changelog ===
vitrage-tempest-plugin (5.4.0-3ubuntu1) jammy; urgency=medium

  * d/py3dist-overrides: Ignore python-ceilometerclient (LP: #1836142).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Mar 2022 08:15:56 -0400

vitrage-tempest-plugin (5.4.0-3) unstable; urgency=medium

  * Removed python3-ceilometerclient from depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Feb 2022 14:13:11 +0100

vitrage-tempest-plugin (5.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:44:44 +0200

vitrage-tempest-plugin (5.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 10:55:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vitrage-tempest-plugin
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -20,7 +21,6 @@
 Architecture: all
 Depends:
  python3-aodhclient,
- python3-ceilometerclient,
  python3-cinderclient,
  python3-dateutil,
  python3-glanceclient,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/vitrage-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## vitrage-tempest-plugin 6.0.0

=== debian/changelog ===
vitrage-tempest-plugin (6.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:10:46 +0200

vitrage-tempest-plugin (6.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2022 16:25:30 +0200

vitrage-tempest-plugin (5.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 09:39:02 +0200

vitrage-tempest-plugin (5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Mar 2022 17:34:31 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/vitrage-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	pkgos-dh_auto_test --no-py2
#endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## vitrage-tempest-plugin 6.3.0

=== debian/changelog ===
vitrage-tempest-plugin (6.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 23:23:46 +0200

vitrage-tempest-plugin (6.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2024 11:17:18 +0100

vitrage-tempest-plugin (6.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Oct 2023 08:33:44 +0200

vitrage-tempest-plugin (6.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 15:01:42 +0200

vitrage-tempest-plugin (6.1.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1045450).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 13:45:53 +0200

vitrage-tempest-plugin (6.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:09:52 +0200

vitrage-tempest-plugin (6.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Mar 2023 15:37:37 +0100

vitrage-tempest-plugin (6.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 11:02:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build *.egg-info
 
 override_dh_auto_test:
 	echo "Do nothing..."

## vitrage-tempest-plugin 6.4.0

=== debian/changelog ===
vitrage-tempest-plugin (6.4.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090705).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 14:05:53 +0100

vitrage-tempest-plugin (6.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 00:30:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

## vitrage-tempest-plugin 6.6.0

=== debian/changelog ===
vitrage-tempest-plugin (6.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:47:17 +0100

vitrage-tempest-plugin (6.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 17:41:49 +0100

vitrage-tempest-plugin (6.5.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 15:22:17 +0100

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/vitrage-tempest-plugin refs/tags/(\d[brc\d\.]+)

## vitrage-tempest-plugin 6.7.0

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 gnocchiclient>=3.3.1 # Apache-2.0
 PyYAML>=3.12 # MIT
 python-heatclient>=1.14.0 # Apache-2.0
-python-ceilometerclient>=2.9.0 # Apache-2.0
 python-cinderclient>=3.3.0 # Apache-2.0
 python-dateutil>=2.5.3 # BSD
 python-keystoneclient>=3.15.0 # Apache-2.0

=== debian/changelog ===
vitrage-tempest-plugin (6.7.0-3) unstable; urgency=medium

  * Clean-up .pybuild folder (Closes: #1045450).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2026 23:59:15 +0100

vitrage-tempest-plugin (6.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:43:30 +0200

vitrage-tempest-plugin (6.7.0-1) experimental; urgency=medium

  * New upstream relase.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:24:30 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
-	rm -rf build *.egg-info
+	rm -rf build *.egg-info .pybuild
 
 override_dh_auto_test:
 	echo "Do nothing..."
